<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQSPAREMAPEditViewBase from './emeqsparemapedit-view-base.vue';

import view_form from '@widgets/emeqspare-map/main2-form/main2-form.vue';

/**
 * 备件包引用
 *
 * @export
 * @class EMEQSPAREMAPEditView
 * @extends {EMEQSPAREMAPEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQSPAREMAPEditView extends EMEQSPAREMAPEditViewBase { }
</script>